# Generated by Django 4.1.7 on 2023-03-01 09:19

import core.storage_backends
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('user_app', '0013_alter_customuser_avatar_and_more'),
    ]

    operations = [
        migrations.AlterField(
            model_name='profile',
            name='company_cover_image',
            field=models.ImageField(blank=True, max_length=250, null=True, storage=core.storage_backends.PublicMediaStorage(), upload_to='', validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['jpeg', 'jpg', 'png', 'webp'])], verbose_name='Company cover image'),
        ),
        migrations.AlterField(
            model_name='profile',
            name='company_image',
            field=models.ImageField(blank=True, max_length=250, null=True, storage=core.storage_backends.PublicMediaStorage(), upload_to='', validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['jpeg', 'jpg', 'png', 'webp'])], verbose_name='Company image'),
        ),
        migrations.AlterField(
            model_name='profile',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='profile', to=settings.AUTH_USER_MODEL, verbose_name='User'),
        ),
        migrations.AlterField(
            model_name='profile',
            name='user_cover_image',
            field=models.ImageField(blank=True, max_length=250, null=True, storage=core.storage_backends.PublicMediaStorage(), upload_to='', validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['jpeg', 'jpg', 'png', 'webp'])], verbose_name='User cover image'),
        ),
        migrations.AlterField(
            model_name='profile',
            name='user_image',
            field=models.ImageField(blank=True, max_length=250, null=True, storage=core.storage_backends.PublicMediaStorage(), upload_to='', validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['jpeg', 'jpg', 'png', 'webp'])], verbose_name='User image'),
        ),
    ]
